# Table of Contents - goocanvas-1.2.6 Documentation

## Pages

- Makefile
- depend
- goocanvas.def
- ruby-goocanvas.pc

## Classes and Modules

- Goo
- Goo::CanvasEllipse
- Goo::CanvasGroup
- Goo::CanvasImage
- Goo::CanvasItem
- Goo::CanvasPoints
- Goo::CanvasPolyline
- Goo::CanvasRect
- Goo::CanvasTable
- Goo::CanvasText
- Goo::CanvasWidget
- Goo::PropsInit

## Methods

- ::append_features — Goo::PropsInit
- ::args_to_hash — Goo
- ::new — Goo::CanvasPolyline
- ::new — Goo::CanvasPoints
- ::new_line — Goo::CanvasPolyline
- #_initialize — Goo::CanvasPoints
- #bounds — Goo::CanvasItem
- #each — Goo::CanvasPoints
- #height — Goo::CanvasItem
- #init_props — Goo::PropsInit
- #points= — Goo::CanvasPolyline
- #set_child_properties — Goo::CanvasItem
- #set_points — Goo::CanvasPolyline
- #to_a — Goo::CanvasPoints
- #width — Goo::CanvasItem
- #x — Goo::CanvasItem
- #y — Goo::CanvasItem